Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.oval.constraint
Class PossibleLengthCheck

    java.lang.Object
      net.sf.oval.AbstractCheck
          net.sf.oval.configuration.annotation.AbstractAnnotationCheck<PossibleLength>
              net.sf.oval.constraint.PossibleLengthCheck

All Implemented Interfaces:
  java.io.Serializable, net.sf.oval.Check, net.sf.oval.configuration.annotation.AnnotationCheck<PossibleLength>

    public class PossibleLengthCheck

extends net.sf.oval.configuration.annotation.AbstractAnnotationCheck<PossibleLength>

Проверка контрактной спецификации, описывающей допустимые длины строки

See Also:
  Serialized Form

Field Summary
`private int[]` | `lengths`
`private static long` | `serialVersionUID`

Fields inherited from class net.sf.oval.AbstractCheck
`message, profiles`

Constructor Summary
`PossibleLengthCheck()`

Method Summary
`void` | `configure(PossibleLength constraintAnnotation)`
`boolean` | `isSatisfied(java.lang.Object validatedObject, java.lang.Object value, net.sf.oval.context.OValContext context, net.sf.oval.Validator validator)`

Methods inherited from class net.sf.oval.AbstractCheck
`getMessage, getMessageVariables, getProfiles, setMessage, setProfiles`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.oval.Check
`getMessage, getMessageVariables, getProfiles, setMessage, setProfiles`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### lengths

    private int[] lengths

Constructor Detail

### PossibleLengthCheck

    public PossibleLengthCheck()

Method Detail

### configure

    public void configure(PossibleLength constraintAnnotation)

  Specified by:
    `configure` in interface `net.sf.oval.configuration.annotation.AnnotationCheck<PossibleLength>`
  Overrides:
    `configure` in class `net.sf.oval.configuration.annotation.AbstractAnnotationCheck<PossibleLength>`

### isSatisfied

    public boolean isSatisfied(java.lang.Object validatedObject,
                               java.lang.Object value,
                               net.sf.oval.context.OValContext context,
                               net.sf.oval.Validator validator)
                        throws net.sf.oval.exception.OValException

  Throws:
    `net.sf.oval.exception.OValException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD